Skip to main content
POST
/
tickets
/
pair
Pair NFC Ticket
curl --request POST \
  --url https://api.nuwebgroup.com/v1/tickets/pair \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "barcode": "DOWG4RGL07",
  "nfc-id": "0x0C27069B10A92615528F",
  "event-id": "42",
  "pair-barcode-again": true,
  "uuid": "3bf4f93c-5fd5-4141-8f5a-127d2bb7815c"
}
'
{
  "status": "ok",
  "attendance": 50,
  "capacity": 500,
  "barcode": "ABC123",
  "nfcId": "0x0C27069B10A92615528F",
  "isGuest": false,
  "firstName": "John",
  "lastName": "Doe",
  "email": "john@example.com",
  "scansIn": 4,
  "scansOut": 3,
  "scansInMax": 4,
  "averageSecondsSpent": 1800,
  "accessToZones": [
    {
      "id": 1,
      "name": "Entry"
    },
    {
      "id": 1,
      "name": "Zone B"
    }
  ],
  "availableItems": [
    {
      "barcode": "ABC",
      "name": "Standard",
      "type": "ticket"
    },
    {
      "barcode": "DEF",
      "name": "Coconut",
      "type": "product"
    }
  ],
  "lastScannedIn": "2021-11-22T11:59:00.000000Z",
  "lastScannedOut": "2021-11-22T11:59:00.000000Z",
  "dateOfBirth": "1990-01-01",
  "dataCaptureQuestions": [
    {
      "id": -1,
      "question": "Customer Notes"
    },
    {
      "id": 123,
      "question": "Custom Ticket Data Capture Question 1"
    },
    {
      "id": 345,
      "question": "Custom Ticket Data Capture Question 2"
    }
  ],
  "dataCaptureAnswers": [
    {
      "id": -2,
      "answer": "Custom Ticket Label"
    },
    {
      "id": -1,
      "answer": "These are notes made against the customer"
    },
    {
      "id": 0,
      "answer": "1 x Product A (QA: A1, QB: A2),\\n1 x Product B"
    },
    {
      "id": 123,
      "answer": "Answer to custom ticket data capture question 1"
    },
    {
      "id": 345,
      "answer": "Answer to custom ticket data capture question 2"
    }
  ],
  "customerId": 1,
  "timeslot": {
    "id": null,
    "name": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body for pairing a ticket with a NFC ID.

barcode
string
nfc-id
string
event-id
string

When omitted, the first matching order item within any event will be paired. When provided, the first matching order item within this event ID will be paired.

pair-barcode-again
boolean

This field is optional. When set to true, it allowes you to re-pair a ticket that is currently paired with a NFC ID to a new NFC ID.

uuid
string

Response

Successfully paired the ticket with the NFC ID.

status
enum<string>
Available options:
valid,
alreadyIn,
alreadyOut,
denied,
zoneClosed,
ageUnknown,
tooYoung,
tooOld,
full,
scansInExceeded,
requiresConfirmation
attendance
integer
capacity
integer
barcode
string
nfcId
string
isGuest
boolean
firstName
string
lastName
string
email
string
scansIn
integer
scansOut
integer
scansInMax
integer
averageSecondsSpent
integer
accessToZones
object[]

Zones this ticket grants access to.

availableItems
object[]
lastScannedIn
string
lastScannedOut
string
dateOfBirth
string
dataCaptureQuestions
object[]
dataCaptureAnswers
object[]
customerId
integer
timeslot
object